| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
cv::detail::Submap< MatType > Class Template Reference

`#include <opencv2/3d/detail/submap.hpp>`

Collaboration diagram for cv::detail::Submap< MatType >:

## Classes
struct | PoseConstraint

## Public Types
typedef std::map< int, PoseConstraint > | Constraints

## Public Member Functions
| Submap (int _id, const VolumeSettings &settings, const cv::Affine3f &_pose=cv::Affine3f::Identity(), int _startFrameId=0)
virtual | ~Submap ()=default
bool | addEdgeToSubmap (const int tarSubmapID, const Affine3f &tarPose)
float | calcVisibilityRatio (int currFrameId) const
void | composeCameraPose (const cv::Affine3f &_relativePose)
PoseConstraint & | getConstraint (const int _id)
virtual int | getTotalAllocatedBlocks () const
virtual int | getVisibleBlocks (int currFrameId) const
virtual void | integrate (InputArray _depth, const int currframeId)
virtual void | raycast (const cv::Affine3f &cameraPose, cv::Size frameSize, cv::Matx33f K, OutputArray points=noArray(), OutputArray normals=noArray())
virtual void | setStartFrameId (int _startFrameId)
| TODO: Possibly useless.
virtual void | setStopFrameId (int _stopFrameId)

## Public Attributes
cv::Affine3f | cameraPose
Constraints | constraints
OdometryFrame | frame
| TODO: Add support for GPU arrays (UMat)
const int | id
cv::Affine3f | pose
OdometryFrame | renderFrame
int | startFrameId
int | stopFrameId
Volume | volume

## Static Public Attributes
static constexpr int | FRAME_VISIBILITY_THRESHOLD = 5
| TODO: Should we support submaps for regular volumes?

## Member Typedef Documentation

## ◆ Constraints

template<typename MatType >

std::map<int, PoseConstraint> cv::detail::Submap< MatType >::Constraints

## Constructor & Destructor Documentation

## ◆ Submap()

template<typename MatType >

cv::detail::Submap< MatType >::Submap | ( | int | _id,
|  | const VolumeSettings & | settings,
|  | const cv::Affine3f & | _pose = cv::Affine3f::Identity(),
|  | int | _startFrameId = 0 )
| inline

## ◆ ~Submap()

template<typename MatType >

virtual cv::detail::Submap< MatType >::~Submap | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ addEdgeToSubmap()

template<typename MatType >

bool cv::detail::Submap< MatType >::addEdgeToSubmap | ( | const int | tarSubmapID,
|  | const Affine3f & | tarPose )

Here is the call graph for this function:

## ◆ calcVisibilityRatio()

template<typename MatType >

float cv::detail::Submap< MatType >::calcVisibilityRatio | ( | int | currFrameId | ) | const
| inline

Here is the call graph for this function:

## ◆ composeCameraPose()

template<typename MatType >

void cv::detail::Submap< MatType >::composeCameraPose | ( | const cv::Affine3f & | _relativePose | ) |
| inline

## ◆ getConstraint()

template<typename MatType >

PoseConstraint & cv::detail::Submap< MatType >::getConstraint | ( | const int | _id | ) |
| inline

Creates constraints if doesn't exist yet

## ◆ getTotalAllocatedBlocks()

template<typename MatType >

virtual int cv::detail::Submap< MatType >::getTotalAllocatedBlocks | ( |  | ) | const
| inline virtual

Here is the call graph for this function:

## ◆ getVisibleBlocks()

template<typename MatType >

virtual int cv::detail::Submap< MatType >::getVisibleBlocks | ( | int | currFrameId | ) | const
| inline virtual

Here is the call graph for this function:

## ◆ integrate()

template<typename MatType >

void cv::detail::Submap< MatType >::integrate | ( | InputArray | _depth,
|  | const int | currframeId )
| virtual

## ◆ raycast()

template<typename MatType >

void cv::detail::Submap< MatType >::raycast | ( | const cv::Affine3f & | cameraPose,
|  | cv::Size | frameSize,
|  | cv::Matx33f | K,
|  | OutputArray | points = noArray(),
|  | OutputArray | normals = noArray() )
| virtual

Here is the call graph for this function:

## ◆ setStartFrameId()

template<typename MatType >

virtual void cv::detail::Submap< MatType >::setStartFrameId | ( | int | _startFrameId | ) |
| inline virtual

TODO: Possibly useless.

## ◆ setStopFrameId()

template<typename MatType >

virtual void cv::detail::Submap< MatType >::setStopFrameId | ( | int | _stopFrameId | ) |
| inline virtual

## Member Data Documentation

## ◆ cameraPose

template<typename MatType >

cv::Affine3f cv::detail::Submap< MatType >::cameraPose

## ◆ constraints

template<typename MatType >

Constraints cv::detail::Submap< MatType >::constraints

## ◆ frame

template<typename MatType >

OdometryFrame cv::detail::Submap< MatType >::frame

TODO: Add support for GPU arrays (UMat)

## ◆ FRAME_VISIBILITY_THRESHOLD

template<typename MatType >

int cv::detail::Submap< MatType >::FRAME_VISIBILITY_THRESHOLD = 5
| static constexpr

TODO: Should we support submaps for regular volumes?

## ◆ id

template<typename MatType >

const int cv::detail::Submap< MatType >::id

## ◆ pose

template<typename MatType >

cv::Affine3f cv::detail::Submap< MatType >::pose

## ◆ renderFrame

template<typename MatType >

OdometryFrame cv::detail::Submap< MatType >::renderFrame

## ◆ startFrameId

template<typename MatType >

int cv::detail::Submap< MatType >::startFrameId

## ◆ stopFrameId

template<typename MatType >

int cv::detail::Submap< MatType >::stopFrameId

## ◆ volume

template<typename MatType >

Volume cv::detail::Submap< MatType >::volume

The documentation for this class was generated from the following file:

- opencv2/3d/detail/submap.hpp